Bug 36667 - rhn incorrectly reports kernel upgrade required
rhn incorrectly reports kernel upgrade required
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 11:32 EDT by Christopher Blizzard
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-18 17:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2001-04-19 11:32:42 EDT
After upgrading my kernel with up2date I end up with both the old kernel
and the new kernel installed.  Even after doing an up2date -p the web site
reports that I still need a kernel upgrade.
Comment 1 Patrick C. F. Ernzer 2001-05-28 11:20:34 EDT
I saw the same problem, a 'rpm -q kernel' showed
kernel-2.2.17-14
kernel-2.2.19-7.0.1

After 'rpm -e kernel-2.2.17-14' and 'up2date -p' the problem went away.
Comment 2 Jay Turner 2001-06-12 08:47:05 EDT
This is a known problem resulting from the code seeing the old kernel and
therefore adding the new one to the update list.  Basically this problem will
happen for any packages which you have multiple versions installed on the
system.  Working to fix it as I type this.
Comment 3 Chip Turner 2001-09-18 17:23:44 EDT
this should be fixed now (in cvs, qa, and live)
Comment 4 Jay Turner 2001-09-21 11:10:46 EDT
Yep, this is resolved now.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.